# PColourConverterRegistration Class Reference

This class registers a colour conversion class. More...

`#include <vconvert.h>`

Inheritance diagram for PColourConverterRegistration:

List of all members.

## Public Member Functions

| PColourConverterRegistration (const PString &srcColourFormat, const PString &destColourFormat)

## Protected Member Functions

virtual PColourConverter * | Create (const PVideoFrameInfo &src, const PVideoFrameInfo &dst) const =0

## Protected Attributes

PColourConverterRegistration * | link

## Detailed Description

This class registers a colour conversion class.

There should be one and one only instance of this class for each pair of srcColurFormat and dstColourFormat strings. Use the PCOLOUR_CONVERTER_REGISTRATION macro to do this.

## Constructor & Destructor Documentation

PColourConverterRegistration::PColourConverterRegistration | ( | const PString & | srcColourFormat,
|  | const PString & | destColourFormat |
| ) |  |  |

Parameters:

  srcColourFormat | Name of source colour format
  destColourFormat | Name of destination colour format

## Member Function Documentation

virtual PColourConverter* PColourConverterRegistration::Create | ( | const PVideoFrameInfo & | src,
|  | const PVideoFrameInfo & | dst |
| ) |  |  | const`[protected, pure virtual]`

Parameters:

  src | Source frame info (colour formet, size etc)
  dst | Destination frame info

Implemented in PSynonymColourRegistration.

## Member Data Documentation

PColourConverterRegistration* PColourConverterRegistration::link `[protected]`

The documentation for this class was generated from the following file:

- vconvert.h